WATTR(1)

NAME
wattr - get window attributes

SYNOPSIS
wattr [bmiowhxy] wid

DESCRIPTION
wattr prints information about the window wid to stdout.

What information is presented depends on the commands given to wattr. The queried arguments are printed in the order they are requested, separated by a space. If no commands are given, wattr will return 0 if wid exists, and 1 otherwise.

i   Print wid

b   Print wid’s border width.

x   Print wid’s offset.

y   Print wid’s offset.

w   Print wid’s width.

h   Print wid’s height.

o   wattr returns 0 if the override_redirect attribute is set on the window.

m   wattr returns 0 if wid is mapped on screen, and 1 otherwise.

ENVIRONMENT
wattr acts on the X display specified by the DISPLAY variable.

EXAMPLES
    $ wattr m 0x01000006 && echo ismapped
    ismapped

    $ wattr whxy 0x01000006
    484 244 756 166

    $ wattr xyhw 0x01000006
    756 166 244 484

    $ wattr 0x00000000; echo $?
    1